﻿CREATE TABLE [dbo].[StagingDownloadsExportData] (
    [Id]                       UNIQUEIDENTIFIER NOT NULL,
    [RowNo]                    INT              NULL,
    [ImportId]                 UNIQUEIDENTIFIER NULL,
    [ProjectId]                UNIQUEIDENTIFIER NULL,
    [ProjectName]              NVARCHAR (256)   NULL,
    [ModuleTypeId]             UNIQUEIDENTIFIER NULL,
    [ModuleName]               NVARCHAR (100)   NULL,
    [Header]                   NVARCHAR (150)   NULL,
    [Footer]                   NVARCHAR (150)   NULL,
    [ReportTitle]              NVARCHAR (250)   NULL,
    [CoverPageImageLink]       NVARCHAR (250)   NULL,
    [CoverPageImageName]       NVARCHAR (100)   NULL,
    [Overview]                 NVARCHAR (3050)  NULL,
    [KeyPoints]                NVARCHAR (3050)  NULL,
    [Methodology]              NVARCHAR (3050)  NULL,
    [MethodologyImageLink]     NVARCHAR (250)   NULL,
    [MethodologyImageName]     NVARCHAR (100)   NULL,
    [ContactUsAnalystName]     NVARCHAR (150)   NULL,
    [ContactUsOfficeContactNo] NVARCHAR (20)    NULL,
    [ContactUsAnalystEmailId]  NVARCHAR (254)   NULL,
    [CreatedOn]                DATETIME2 (7)    NULL,
    [UserCreatedById]          UNIQUEIDENTIFIER NULL,
    [ErrorNotes]               NVARCHAR (MAX)   NULL,
    CONSTRAINT [PK_StagingDownloadsExportData] PRIMARY KEY CLUSTERED ([Id] ASC),
    CONSTRAINT [FK_moduletype_StagingDownloadsExportData] FOREIGN KEY ([ModuleTypeId]) REFERENCES [dbo].[ModuleType] ([Id]) ON DELETE CASCADE ON UPDATE CASCADE,
    CONSTRAINT [FK_project_StagingDownloadsExportData] FOREIGN KEY ([ProjectId]) REFERENCES [dbo].[Project] ([ID]) ON DELETE CASCADE ON UPDATE CASCADE
);

